<?
//INSTALL - CREATE DATABASE IF DOESN'T EXIST, DELETE ALL TABLES AND CREATE NEW FOR RMS SYSTEM

error_reporting(0);

require("../sqldb/initdb.php");
require("../html/inithtml.php");
require("../config_serv.php");

//tables used for system
$SERVIS_TABLES=array("Associated_Stations","Device_model","Firewall_Settings","HStatistics_daily","HStatistics_restarts","Hardware",
		"Hardware_status","Interfaces","Menu_Tree","Pages","Param_changed","Requests","Unsupported_firmwares","Users");

$HTML = new HTML();
$DBCONN=new SQL();
$LOG_PATH=false;
$ErrMsg="";

function icheck_in($data) {
    $tab= Array(";","'","\"",":","\\");
    for ($i=0; $i<count($tab); $i++) {
        if (strlen(strstr($data, $tab[$i]))>0) return false;
    }
return true;
}

function format_path($path,$present=true) {
$sign = substr($path,strlen($path)-1,1);
if ($sign=="/" && !$present) $path=substr($path,0,strlen($path)-1);
if ($sign!="/" && $present) $path=$path."/";
return $path;
}

function write_to_logs($data) {
global $LOG_PATH;
    if (!$LOG_PATH) return false;
    $dtime=date("Y-m-d H:i:s");
    $data ="$dtime - ".$data;
    $log = file_put_contents($LOG_PATH."/install.log", $data, FILE_APPEND);
    if (!$log) return false;
return true;
}

function get_scripts_files($www_path) {
$dir = "$www_path";
$files=array();
    if (is_dir($dir)) {
        if ($tree = opendir($dir)) {
            while (($file = readdir($tree)) !== false) {
                if (strlen(strstr($file, ".php"))>0 && filetype($dir . $file)=="file") {
                    //$file=ereg_replace(".bin","",$file);
                    array_unshift($files, $file);
                }
            }
        closedir($tree);
        }
    }
return $files;
}

function remove_scripts_files($server_path, $crontab_path) {
global $ErrMsg;

     $s_files = get_scripts_files($server_path."/scripts/");
     $m_files = get_scripts_files($crontab_path."/");

     $cerr=0;
     foreach ($s_files as $fname) {
    	$mv = rename("$server_path/scripts/$fname", "$crontab_path/$fname");
	if (!$mv) { $ErrMsg.="Error move file: $fname to $crontab_path/$fname<br>"; $cerr++;}	
     }
     if ($cerr==count($s_files) && empty($m_files)) return false;

     if (empty($s_files) && empty($m_files)) { 
		$ErrMsg.="<br>The install folder $server_path/scripts and $crontab_path are empty!<br>";
		return false;
     }
        
    $install_path=format_path(SERVER_UPDATE,false)."/first_install.sql";
    $mv = rename("$server_path/install/first_install.sql", $install_path);
    if (!$mv) { 
	    if (!fopen($install_path,"r")) {
		$ErrMsg.="Error move file: first_install.sql to $install_path<br>"; 
                $ErrMsg.= "<br>Read System SQL file error: $install_path";
                write_to_logs($ErrMsg."\n");
                return false;
                }	    
    }
    $data2="<? define(\"SCRIPTS_PATH\",\"$server_path\"); ?>";
    $newfile2 = file_put_contents($crontab_path."/config_scripts.php", $data2, FILE_USE_INCLUDE_PATH);
    if (!$newfile2) return false;
return true;    
}

function Configure($server_www, $server_path, $username, $userpassword, $database_name, $log_path) {
    global $err_server_path, $err_username, $err_userpassword, $err_database_name, $DBCONN, $ErrMsg,
	    $G_server_path, $G_username, $G_userpassword, $G_database_name, $LOG_PATH, $err_server_www, $G_server_www, $G_log_path, $err_log_path;
    $MError=0;
    //if (!check_in($server_www) || strlen($server_www)<2 || substr($server_www,strlen($server_www)-1,1)!="/") { $err_server_www=" Check servis URL."; $MError++; }
    if (!icheck_in($log_path) || strlen($log_path)<2) { $err_log_path=" Check Logs path."; $MError++; }
    if (!icheck_in($server_www) || strlen($server_www)<2) { $err_server_www=" Check Crontab path."; $MError++; }
    if (!icheck_in($server_path) || strlen($server_path)<2) { $err_server_path=" Check server path."; $MError++; }
    if (!icheck_in($username) || strlen($username)<2) { $err_username=" Check user's name."; $MError++; }
    if (!icheck_in($userpassword) || strlen($userpassword)<2)  { $err_userpassword=" Check user's password."; $MError++; }
    if (!icheck_in($database_name) || strlen($database_name)<2)  { $err_database_name=" Check DataBase name."; $MError++; }
    
    if (icheck_in($log_path) && strlen($log_path)>=2) $LOG_PATH=$log_path;
    if (!write_to_logs("--------------------------INSTALL SYSTEM---------------------------\n")) {
	$ErrMsg.="Failed to open stream: No such file or directory: $server_path!!";
	return false;
	}

    $DBError=0;

    $G_server_path=$server_path;
    $G_username=$username;
    $G_userpassword=$userpassword;
    $G_database_name=$database_name;
    $G_server_www=$server_www;
    $G_log_path=$log_path;

    if ($MError==0) { 
	    if (!$DBCONN->ConnectMysql(HOST, $username, $userpassword)) { 
		    $ErrMsg.="No Access, Host, UserName or Password is not correct.";
		    write_to_logs("No Access, Host, UserName or Password is not correct.\n");
		    //print_r($ErrMsg);
		    $DBError++;    
		    return false;
		    }	    

	    if (!Check_isDataBase($database_name,true)) return false;

	    if (!remove_scripts_files($server_path, $server_www)) { 
			$ErrMsg.="<br><font color=\"#FFFFFF\"><b>System not installed!!</b></font><br>";
			write_to_logs("The folder scripts is empty. System not installed.\n");
			return false; 
			}
			
	    $query5 = "CREATE TABLE Associated_Stations (
			model int(2) NOT NULL,
			request varchar(32) NOT NULL,
			int_number int(2) default NULL,
			PRIMARY KEY  (model,request)
			) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result5 = $DBCONN->DBQuery($query5);
	    if ($result5<=0) {
		    $ErrMsg.="TABLE <b>Associated_Stations</b> can't be created.";
		    write_to_logs("TABLE Associated_Stations can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    //Device model
	    $query6="CREATE TABLE Device_model (
		id int(11) NOT NULL auto_increment,
		name varchar(16) NOT NULL,
		parent int(2) default '0',
	        status tinyint(1) NOT NULL,
		interface tinyint(1) default '0',
		ident_interface int(2) NOT NULL,
		param_name varchar(32) NOT NULL,
		param varchar(128) NOT NULL,
		value varchar(32) NOT NULL,
		show_value varchar(32) NOT NULL,
		checkbox tinyint(1) NOT NULL default '0',
		request varchar(32) NOT NULL,
		writable tinyint(4) NOT NULL default '0',
		insert_date datetime NOT NULL,
		visible tinyint(2) NOT NULL default '1',
		soft_version varchar(10) NOT NULL,
		type set('','a','i','s') default NULL,
		PRIMARY KEY  (id),
		UNIQUE KEY name (name,param,value,parent,interface,ident_interface)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result6 = $DBCONN->DBQuery($query6);
	    if ($result6<=0) {
		    $ErrMsg.="TABLE <b>Device_model</b> can't be created.";
		    write_to_logs("TABLE Device_model can't be created.\n");
		    $DBError++;
		    return false;
	    }
	    
	    $query7="CREATE TABLE HStatistics_daily (
  i_id int(10) default NULL,
  userid int(10) NOT NULL,
  h_id int(10) default NULL,
  mac_address varchar(17) NOT NULL default '',
  tx_packets int(20) NOT NULL,
  tx_MB double NOT NULL,
  tx_errors int(20) default NULL,
  rx_packets int(20) NOT NULL,
  rx_MB double default NULL,
  rx_errors int(11) NOT NULL,
  packets_imm int(20) default NULL,
  packets_imm_agg int(20) NOT NULL,
  packets_agg int(20) NOT NULL,
  packets_not_agg int(20) NOT NULL,
  all_packets int(20) NOT NULL,
  restart tinyint(1) NOT NULL default '0',
  uptime varchar(20) NOT NULL,
  for_day tinyint(4) NOT NULL default '0',
  data date NOT NULL,
  make_data datetime default NULL,
  restart_update tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (mac_address,data,restart,for_day)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result7 = $DBCONN->DBQuery($query7);
	    if ($result7<=0) {
		    $ErrMsg.="TABLE <b>HStatistics_daily</b> can't be created.";
		    write_to_logs("TABLE HStatistics_daily can't be created.\n");
		    $DBError++;
		    return false;
	    }
    
	    $query8="CREATE TABLE Hardware (
  h_id int(10) NOT NULL auto_increment,
  userid int(10) NOT NULL,
  password char(32) NOT NULL,
  mac_address varchar(17) NOT NULL,
  address_ip varchar(15) default NULL,
  serial_num varchar(64) NOT NULL,
  name varchar(32) default NULL,
  device_name varchar(32) NOT NULL,
  model int(2) default NULL,
  mask_ip varchar(15) default NULL,
  gateway_ip varchar(15) default NULL,
  soft_version varchar(16) default NULL,
  revision varchar(16) NOT NULL,
  ip_mode varchar(16) NOT NULL,
  vtun_client tinyint(4) NOT NULL,
  location varchar(64) default NULL,
  status tinyint(1) default '0',
  reg_date datetime NOT NULL,
  change_date datetime default NULL,
  note text NOT NULL,
  interfaces_on int(1) default NULL,
  BST tinyint(1) default '0',
  parent_h_id int(11) NOT NULL,
  remote_BSSID varchar(17) NOT NULL,
  reg_domain varchar(32) default NULL,
  last_restart datetime NOT NULL,
  signal_strength varchar(10) NOT NULL,
  noise varchar(10) NOT NULL,
  firewall tinyint(4) NOT NULL,
  preffered_BSSID varchar(20) NOT NULL,
  web_port int(6) NOT NULL,
  web_timeout int(10) NOT NULL,
  watchdog tinyint(1) default NULL,
  watchdog_ip varchar(20) NOT NULL,
  pppoe_aut int(2) NOT NULL,
  pppoe_link int(2) NOT NULL,
  temperature varchar(16) NOT NULL,
  system_load varchar(16) default NULL,
  link_quality int(11) default NULL,
  NTP_server_ip varchar(20) NOT NULL,
  packet_aggregation int(1) default NULL,
  PRIMARY KEY  (h_id),
  UNIQUE KEY mac_address (mac_address),
  UNIQUE KEY name (name),
  UNIQUE KEY address_ip (address_ip,status)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result8 = $DBCONN->DBQuery($query8);
	    if ($result8<=0) {
		    $ErrMsg.="TABLE <b>Hardware</b> can't be created.";
		    write_to_logs("TABLE Hardware can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query9="CREATE TABLE Hardware_status (
  h_id int(10) NOT NULL default '0',
  active tinyint(1) default '0',
  uptime varchar(20) default NULL,
  lastdate datetime NOT NULL,
  working tinyint(1) NOT NULL,
  PRIMARY KEY  (h_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result9 = $DBCONN->DBQuery($query9);
	    if ($result9<=0) {
		    $ErrMsg.="TABLE <b>Hardware_status</b> can't be created.";
		    write_to_logs("TABLE Hardware_status can't be created.\n");
		    $DBError++;
		    return false;
	    }
	    
	    $query10="CREATE TABLE Interfaces (
  i_id int(10) NOT NULL auto_increment,
  h_id int(10) NOT NULL,
  number int(11) NOT NULL,
  mac_address varchar(20) default NULL,
  ip_address varchar(20) NOT NULL,
  wlan_mode varchar(32) NOT NULL,
  ESSID varchar(32) NOT NULL,
  frequency double NOT NULL,
  channel_width varchar(20) default NULL,
  data_rate varchar(32) NOT NULL,
  sup_data_rates varchar(64) default NULL,
  cell_size double NOT NULL,
  reg_date datetime NOT NULL,
  status tinyint(4) NOT NULL,
  change_date datetime default NULL,
  output_power int(2) default NULL,
  eth_ip varchar(20) default NULL,
  eth_ipmask varchar(20) NOT NULL,
  channel varchar(20) NOT NULL,
  wlan_turbo_mode int(2) default NULL,
  wlan_speed int(2) default NULL,
  supported_freq varchar(100) NOT NULL,
  distance_app varchar(10) NOT NULL,
  system_connected int(2) NOT NULL,
  wlan_interface tinyint(1) default NULL,
  interclient_traffic tinyint(1) default NULL,
  AES_encryption tinyint(1) default NULL,
  AES_password varchar(32) NOT NULL,
  PRIMARY KEY  (i_id),
  UNIQUE KEY address_mac (mac_address)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result10 = $DBCONN->DBQuery($query10);
	    if ($result10<=0) {
		    $ErrMsg.="TABLE <b>Interfaces</b> can't be created.";
		    write_to_logs("TABLE Interfaces can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query11="CREATE TABLE Menu_Tree (
  id int(5) NOT NULL auto_increment,
  name varchar(32) NOT NULL,
  parent int(5) NOT NULL,
  link varchar(32) default NULL,
  span_id varchar(32) NOT NULL,
  folder tinyint(1) default '0',
  menu_order int(5) default '0',
  status tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result11 = $DBCONN->DBQuery($query11);
	    if ($result11<=0) {
		    $ErrMsg.="TABLE <b>Menu_Tree</b> can't be created.";
		    write_to_logs("TABLE Menu_Tree can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query12="CREATE TABLE Firewall_Settings (
  f_id int(10) NOT NULL auto_increment,
  h_id int(10) NOT NULL,
  number int(10) NOT NULL,
  action int(2) NOT NULL,
  protocol varchar(16) NOT NULL,
  source_mac varchar(20) NOT NULL,
  source_port varchar(10) NOT NULL,
  dest_mac varchar(20) NOT NULL,
  dest_port varchar(10) NOT NULL,
  int_num int(2) NOT NULL,
  interface tinyint(1) NOT NULL,
  make_date datetime NOT NULL,
  UNIQUE KEY f_id (f_id),
  UNIQUE KEY number (number,int_num,interface)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result12 = $DBCONN->DBQuery($query12);
	    if ($result12<=0) {
		    $ErrMsg.="TABLE <b>Firewall Settings</b> can't be created.";
		    write_to_logs("TABLE Firewall Settings can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query13="CREATE TABLE HStatistics_restarts (
  h_id int(10) NOT NULL default '0',
  active tinyint(1) default '0',
  uptime varchar(20) default NULL,
  lastdate datetime NOT NULL,
  working tinyint(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result13 = $DBCONN->DBQuery($query13);
	    if ($result13<=0) {
		    $ErrMsg.="TABLE <b>HStatistics_restarts</b> can't be created.";
		    write_to_logs("TABLE HStatistics_restarts can't be created.\n");
		    $DBError++;
		    return false;
	    }
	
	    $query14="CREATE TABLE Pages (
  id int(5) NOT NULL auto_increment,
  link_page char(32) default NULL,
  note varchar(64) default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY link_page (link_page)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result14 = $DBCONN->DBQuery($query14);
	    if ($result14<=0) {
		    $ErrMsg.="TABLE <b>Pages</b> can't be created.";
		    write_to_logs("TABLE Pages can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query15="CREATE TABLE Param_changed (
  id int(11) NOT NULL auto_increment,
  model int(11) NOT NULL,
  parent_table varchar(32) NOT NULL,
  parent varchar(32) NOT NULL,
  child varchar(32) NOT NULL,
  parent_name varchar(32) NOT NULL,
  parent_value varchar(32) default NULL,
  child_value text NOT NULL,
  visible tinyint(1) NOT NULL default '1',
  UNIQUE KEY id (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result15 = $DBCONN->DBQuery($query15);
	    if ($result15<=0) {
		    $ErrMsg.="TABLE <b>Param_changed</b> can't be created.";
		    write_to_logs("TABLE Param changed can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query16="CREATE TABLE Requests (
  id int(11) NOT NULL auto_increment,
  operation varchar(32) default NULL,
  h_id int(11) NOT NULL,
  i_id int(11) NOT NULL,
  status varchar(32) NOT NULL,
  req_date datetime NOT NULL,
  filename varchar(64) default NULL,
  working tinyint(1) NOT NULL default '0',
  run_date datetime NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY operation (operation,h_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result16 = $DBCONN->DBQuery($query16);
	    if ($result16<=0) {
		    $ErrMsg.="TABLE <b>Requests</b> can't be created.";
		    write_to_logs("TABLE Requests can't be created.\n");
		    $DBError++;
		    return false;
	    }
	    
	    $query17="CREATE TABLE Unsupported_firmwares (
  device_model int(2) NOT NULL,
  soft_version varchar(10) NOT NULL,
  message text NOT NULL,
  PRIMARY KEY  (device_model,soft_version)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";
	    $result17 = $DBCONN->DBQuery($query17);
	    if ($result17<=0) {
		    $ErrMsg.="TABLE <b>Unsupported_firmwares</b> can't be created.";
		    write_to_logs("TABLE Unsupported_firmwares can't be created.\n");
		    $DBError++;
		    return false;
	    }

	    $query18="CREATE TABLE Users (
  userid int(10) NOT NULL auto_increment,
  identity varchar(22) default NULL,
  company_name varchar(128) NOT NULL,
  fname varchar(64) default NULL,
  lname varchar(64) default NULL,
  address varchar(128) default NULL,
  city varchar(32) NOT NULL,
  zip_code varchar(10) default NULL,
  state varchar(32) default NULL,
  country varchar(32) default NULL,
  email varchar(64) NOT NULL,
  note longtext,
  reg_date datetime NOT NULL,
  modify_date timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  status tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (userid),
  UNIQUE KEY identity (identity),
  UNIQUE KEY fname (fname,lname,company_name)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	    $result18 = $DBCONN->DBQuery($query18);
	    if ($result18<=0) {
		    $ErrMsg.="TABLE <b>Users</b> can't be created.";
		    write_to_logs("TABLE Users can't be created.\n");
		    $DBError++;
		    return false;
	    }

	return true;
    }

return false;
}

function Check_isDataBase($database_name, $del_tables=false) {
global $DBCONN, $ErrMsg;

    if (!mysql_select_db ($database_name, $DBCONN->DBConn)) {
	$ErrMsg.="<br>Operation Select Database is not permited!<br>";
	write_to_logs("Operation Select Database is not permited!\n");
	return false;
    }
    $ErrMsg.="<br>Database <b><font color=\"#FFFFFF\">$database_name</font></b> exists.<br>";
    write_to_logs("Database $database_name exists.\n");

    if ($del_tables) Delete_isTable();    
return true;
}

function Configure_Sql() {
global  $ErrMsg;

$user=DBUSER;
$pass=DBPASSWORD;
$basename=BASENAME;
$sql_filename=format_path(SERVER_UPDATE, false)."/first_install.sql";

if (!($getfile=fopen($sql_filename,"r"))) {
                $ErrMsg.= "<br>Read System SQL file error: $sql_filename";
                write_to_logs($ErrMsg."\n");
                return false;
                }

$output=false;
$command="mysql -u$user -p$pass $basename < $sql_filename 2>&1";
//print_r($command);
exec($command, $output);
foreach($output as $error) {
        $ErrMsg.="$error<br>";
}
if (is_array($output) && empty($output)) {
        $ErrMsg.= "<b><font color=\"#FFFFFF\"><b>System Database installed successfully.</b></font>";
        write_to_logs($ErrMsg."\n");
        return true;
        }
write_to_logs($ErrMsg."\n");
return false;
}

function Delete_isTable() {
global $DBCONN, $SERVIS_TABLES;

$result = $DBCONN->DBQuery("show tables");
if ($result<=0 || mysql_num_rows($result)<=0) return false;
while ($res=mysql_fetch_row($result)) {     
	for ($i=0; $i<count($SERVIS_TABLES); $i++) {
	    if ($SERVIS_TABLES[$i]==$res[0]) {
		//echo "<br>$i: $SERVIS_TABLES[$i]";
		$res=$DBCONN->DBQuery("drop table $res[0]");
		break;
	    }
	}
}	
return true;
}

function show_crontab($crontab_path, $log_path) {

$form="<br><br><b>Add the following lines to proper User Crontab:</b><br><br>";
$form.="* * * * * /usr/bin/php $crontab_path/check_restart.php >> $log_path/restarts.log<br>
* * * * * /usr/bin/php $crontab_path/check_refresh_firmware.php >> $log_path/firmware.log<br>
*/10 * * * * /usr/bin/php $crontab_path/get_stats.php >> $log_path/stats.log<br>
* * * * * /usr/bin/php $crontab_path/check_all_device_info.php >> $log_path/all_device.log<br>";
return $form;
}

echo '<html><head><title>Install OSBridge RMS</title><link rel="stylesheet" href="../cstyle.css"></head>';
echo '<body leftmargin="100" topmargin="0" marginwidth="0" marginheight="0" bgcolor="#525455">';
echo '<br><br>';
echo '<p allign="left"><img src="../logo.jpg">';
echo "<br>Remote Management System<br>( R M S )</p>";
echo "<br><b>SERVER CONFIGURATION</b><br><br>";

$G_server_path=false; $err_server_path=false;
$G_username=false; $err_username=false;
$G_userpassword=false; $err_userpassword=false;
$G_database_name=false; $err_database_name=false;
$G_server_www=false; $err_server_www=false;
$G_log_path=false; $err_log_path=false; $G_host=false;

$G_domain=format_path(SERVER_WWW,true);
$G_log_path=format_path(SERVER_LOG,false);
$G_server_www=format_path(SERVER_SCRIPTS,false);
$G_server_path=format_path(WWW_PATH,false);
$G_database_name=BASENAME;
$G_username=DBUSER;
$G_userpassword=DBPASSWORD;
$G_host=HOST;
$G_firmware=format_path(SERVER_FIRMWARE,false);
$G_update=format_path(SERVER_UPDATE,false);

if (!defined('SERVER_WWW') || !defined('SERVER_LOG') || !defined('SERVER_SCRIPTS') || !defined('WWW_PATH') 
	|| !defined('BASENAME') || !defined('DBUSER') || !defined('DBPASSWORD') || !defined('HOST') || !defined('SERVER_FIRMWARE') || !defined('SERVER_UPDATE')) {
	    echo "<br><font color=\"#FFFFFF\"><b>\"config_serv.php\" file is not defined !!!</b></font><br>";
	    return;
	}

if (!$G_log_path || !$G_server_www || !$G_server_path || !$G_database_name || !$G_username || !$G_userpassword || !$G_host || !$G_domain || !$G_firmware || !$G_update) {
	echo "<br><font color=\"#FFFFFF\"><b>\"config_serv.php\" file is not defined !!!</b></font><br>";
	return;
	}

if (isset($_REQUEST["SEND"]) && $_REQUEST["SEND"]==1) {
    //write_to_logs("--------------------------INSTALL SYSTEM---------------------------\n");
    $configured = Configure($_REQUEST["server_www"], $_REQUEST["server_path"],$_REQUEST["username"],$_REQUEST["userpassword"], $_REQUEST["database_name"], $_REQUEST["log_path"] );
    //exit();
    if ($configured) { 
	$ErrMsg.="<br><b><font color=\"#FFFFFF\">OSBridge system installed.</b></font><br>";
	write_to_logs("OSBridge system installed.\n");
	$sql_installed = Configure_Sql();
	if($sql_installed) {
	    //$ErrMsg.="<br><b><font color=\"#FFFFFF\">DataBase Data ready.</b></font><br>";
	    write_to_logs("DataBase Data ready.\n");
	     $ErrMsg.=show_crontab($_REQUEST["server_www"], $_REQUEST["log_path"] );
	}		
    }
    write_to_logs("---------------------------END OF INSTALL --------------------------\n\n");
}

echo "<table border=\"0\" width=\"75%\">";
echo $HTML->open_form("install_server");
echo "<tr><td width=\"35%\">Servis Crontab Path (example: (/osbridge/scripts) </td><td>".$HTML->input("server_www", $G_server_www, 40,"",true)."$err_server_www</td></tr>";
echo "<tr><td width=\"35%\">Servis Scripts Logs (example: (/osbridge/logs) </td><td>".$HTML->input("log_path", $G_log_path, 40,"",true)."$err_log_path</td></tr>";
echo "<tr><td width=\"35%\">Servis Path (example: (/var/www/html/panel) </td><td>".$HTML->input("server_path", $G_server_path, 40,"",true)."$err_server_path</td></tr>";
echo "<tr><td width=\"35%\">DataBase Name: </td><td>".$HTML->input("database_name", $G_database_name, 40,"",true)."$err_database_name</td></tr>";
echo "<tr><td width=\"35%\">DataBase Username: </td><td>".$HTML->input("username", $G_username, 40,"",true)."$err_username</td></tr>";
echo "<tr><td width=\"35%\">DataBase User Password: </td><td>".$HTML->input("userpassword", $G_userpassword, 40 ,"password",true)."$err_userpassword</td></tr>";
echo "<tr><td width=\"35%\">&nbsp;</td><td>&nbsp;</td></tr>";
echo "<tr><td width=\"35%\">&nbsp;&nbsp;</td><td>".$HTML->sub_button("Save Data")."</td></tr>";
echo $HTML->input("SEND","1","","hidden");
echo $HTML->close_form();
echo "</table>";

echo $ErrMsg;    
?>

